الحجوزات›إنشاء طلب عمل (بصفة النشاط التجاري)
إنشاء طلب عمل (بصفة النشاط التجاري)
Books a field-service job — the work order that enters the dispatch & scheduling pipeline. Send the customer's UUID plus requested `job_dates` (date + morning/afternoon/evening periods, ideally offered from GET /job-requests/booking-windows), optional `job_type_id` (service catalog), `skill_ids` (required technician qualifications) and a free-text description. Quoting, technician/crew assignment and completion then advance the work order through the business's workflow.
المعاملات
X-Timezonestringheaderاختياري
المنطقة الزمنية للعميل بصيغة IANA
customer_idstringbodyمطلوب
قيمة UUID لعميل موجود لدى هذا النشاط التجاري لحجز العمل له. إلزامي.
descriptionstringbodyاختياري
وصف نصي حر للعمل المطلوب. اختياري؛ بحد أقصى 2000 حرف.
▾job_datesarray<object>bodyمطلوب
التاريخ (التواريخ) والفترة (الفترات) التي يريد العميل تنفيذ العمل فيها. عنصر واحد على الأقل، وحتى 12.
job_type_idstringbodyاختياري
قيمة UUID لنوع العمل لتصنيف هذا العمل. اختياري؛ القيمة null تترك العمل دون تصنيف.
skill_idsarray<string>bodyاختياري
قيم UUID للمهارات التي يرغب العميل فيها لهذا العمل. اختياري؛ حتى 20.
POST/v1/job-requests
curl -X POST "https://api.crisphive.com/v1/job-requests" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "description": "Please call on arrival.", "job_dates": [ { "date": "2026-07-02T09:30:00Z", "periods": [ { "business_view": [], "period": "morning" } ] } ], "job_type_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "skill_ids": [ "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" ] }'
نص الطلب
{
"customer_id": ,
"description": ,
"job_dates": [
{
"date": ,
"periods": [
{
"business_view": [
],
"period":
}
]
}
],
"job_type_id": ,
"skill_ids": [
]
}
Bearer